<!DOCTYPE html>
<html>
<head>
	<title>
	</title>
	<script type="text/javascript">
		var array = []; 
		for (i=1; i<11; i++) {
		var data = prompt('Enter '+i+ ' number for array');

		if (isNaN(data)) {
			document.write('Value is not number. Try one more time.');
			break;
	        }

	    else if(data == null) {
        document.write('Cancel');
        	break;
        	}

        else if (data == '') {
        document.write('Value is empty. Try one more time from start.');
        	break;
        	}

	    else {
		array[i] = data;
			}
		}
		
		array.sort();
		document.write(array + "<br />");

		array.sort(function (a, b) { return a - b; });
        document.write(array);
			
		</script>
</head>
<body>

</body>
</html>